ViewVC Help
View File | Revision Log | Show Annotations | Download File | View Changeset | Root Listing
root/mports/trunk/Makefile
Revision: 1169
Committed: Sat Mar 17 20:06:38 2007 UTC (17 years, 2 months ago) by laffer1
File size: 4924 byte(s)
Log Message:
We don't have portsnap.

File Contents

# Content
1 # $MidnightBSD: mports/Makefile,v 1.31 2007/02/19 20:56:23 laffer1 Exp $
2 #
3
4 SUBDIR += accessibility
5 SUBDIR += archivers
6 SUBDIR += astro
7 SUBDIR += audio
8 SUBDIR += benchmarks
9 SUBDIR += comms
10 SUBDIR += converters
11 SUBDIR += databases
12 SUBDIR += deskutils
13 SUBDIR += devel
14 SUBDIR += dns
15 SUBDIR += editors
16 SUBDIR += emulators
17 SUBDIR += ftp
18 SUBDIR += games
19 SUBDIR += german
20 SUBDIR += graphics
21 SUBDIR += irc
22 SUBDIR += java
23 SUBDIR += lang
24 SUBDIR += mail
25 SUBDIR += math
26 SUBDIR += misc
27 SUBDIR += multimedia
28 SUBDIR += net
29 SUBDIR += net-im
30 SUBDIR += net-mgmt
31 SUBDIR += net-p2p
32 SUBDIR += news
33 SUBDIR += palm
34 SUBDIR += ports-mgmt
35 SUBDIR += print
36 SUBDIR += security
37 SUBDIR += shells
38 SUBDIR += sysutils
39 SUBDIR += textproc
40 SUBDIR += www
41 SUBDIR += x11
42 SUBDIR += x11-clocks
43 SUBDIR += x11-fonts
44 SUBDIR += x11-fm
45 SUBDIR += x11-servers
46 SUBDIR += x11-themes
47 SUBDIR += x11-toolkits
48 SUBDIR += x11-wm
49
50 PORTSTOP= yes
51
52 .include <bsd.port.subdir.mk>
53
54 index:
55 @rm -f ${INDEXDIR}/${INDEXFILE}
56 @cd ${.CURDIR} && make ${INDEXDIR}/${INDEXFILE}
57
58 fetchindex: ${INDEXDIR}/{INDEXFILE}.bz2
59 @bunzip2 < ${INDEXDIR}/${INDEXFILE}.bz2 > ${INDEXDIR}/${INDEXFILE} && \
60 chmod a+r ${INDEXDIR}/${INDEXFILE}
61
62 ${INDEXDIR}/{INDEXFILE}.bz2: .PHONY
63 @${FETCHINDEX} ${INDEXDIR}/${INDEXFILE}.bz2 ${MASTER_SITE_INDEX}${INDEXFILE}.bz2
64
65 MASTER_SITE_INDEX?= http://www.MidnightBSD.org/ports/
66 SETENV?= /usr/bin/env
67 FETCHINDEX?= ${SETENV} ${FETCH_ENV} fetch -am -o
68 INDEX_JOBS?= 2
69
70 .if !defined(INDEX_VERBOSE)
71 INDEX_ECHO_MSG= echo > /dev/null
72 INDEX_ECHO_1ST= echo -n
73 .else
74 INDEX_ECHO_MSG= echo 1>&2
75 INDEX_ECHO_1ST= echo
76 .endif
77
78 ${INDEXDIR}/${INDEXFILE}:
79 @${INDEX_ECHO_1ST} "Generating ${INDEXFILE} - please wait.."; \
80 if [ "${INDEX_PRISTINE}" != "" ]; then \
81 export LOCALBASE=/nonexistentlocal; \
82 export X11BASE=/nonexistentx; \
83 fi; \
84 tmpdir=`/usr/bin/mktemp -d -t index` || exit 1; \
85 trap "rm -rf $${tmpdir}; exit 1" 1 2 3 5 10 13 15; \
86 ( cd ${.CURDIR} && make -j${INDEX_JOBS} INDEX_TMPDIR=$${tmpdir} BUILDING_INDEX=1 \
87 ECHO_MSG="${INDEX_ECHO_MSG}" describe ) || \
88 (rm -rf $${tmpdir} ; \
89 if [ "${INDEX_QUIET}" = "" ]; then \
90 echo; \
91 echo "********************************************************************"; \
92 echo "Before reporting this error, verify that you are running a supported"; \
93 echo "version of MidnightBSD (see http://www.MidnightBSD.org/ports/) and that you"; \
94 echo "have a complete and up-to-date ports collection. (INDEX builds are"; \
95 echo "not supported with partial or out-of-date ports collections -- in"; \
96 echo "particular, if you are using cvsup, you must cvsup the \"ports-all\""; \
97 echo "collection, and have no \"refuse\" files.) If that is the case, then"; \
98 echo "report the failure to ports@MidnightBSD.org together with relevant"; \
99 echo "details of your ports configuration (including MidnightBSD version,"; \
100 echo "your architecture, your environment, and your /etc/make.conf"; \
101 echo "settings, especially compiler flags and WITH/WITHOUT settings)."; \
102 echo; \
103 echo "Note: the latest pre-generated version of INDEX may be fetched"; \
104 echo "automatically with \"make fetchindex\"."; \
105 echo "********************************************************************"; \
106 echo; \
107 fi; \
108 exit 1); \
109 cat $${tmpdir}/${INDEXFILE}.desc.* | (cd ${.CURDIR} ; perl ${.CURDIR}/Tools/make_index) | \
110 sed -e 's/ */ /g' -e 's/| */|/g' -e 's/ *|/|/g' -e 's./..g' | \
111 sort -t '|' +1 -2 | \
112 sed -e 's../.g' > ${INDEXDIR}/${INDEXFILE}.tmp; \
113 if [ "${INDEX_PRISTINE}" != "" ]; then \
114 sed -e "s,$${LOCALBASE},/usr/local," -e "s,$${X11BASE},/usr/X11R6," \
115 ${INDEXDIR}/${INDEXFILE}.tmp > ${INDEXDIR}/${INDEXFILE}; \
116 else \
117 mv ${INDEXDIR}/${INDEXFILE}.tmp ${INDEXDIR}/${INDEXFILE}; \
118 fi; \
119 rm -rf $${tmpdir}; \
120 echo " Done."
121
122 print-index: ${INDEXDIR}/${INDEXFILE}
123 @awk -F\| '{ printf("Port:\t%s\nPath:\t%s\nInfo:\t%s\nMaint:\t%s\nIndex:\t%s\nB-deps:\t%s\nR-deps:\t%s\nE-deps:\t%s\nP-deps:\t%s\nF-deps:\t%s\nWWW:\t%s\n\n", $$1, $$2, $$4, $$6, $$7, $$8, $$9, $$11, $$12, $$13, $$10); }' < ${INDEXDIR}/${INDEXFILE}
124
125 CVS?= cvs
126 SUP?= csup
127 .if defined(SUPHOST)
128 SUPFLAGS+= -h ${SUPHOST}
129 .endif
130 update:
131 .if defined(SUP_UPDATE) && defined(PORTSSUPFILE)
132 @echo "--------------------------------------------------------------"
133 @echo ">>> Running ${SUP}"
134 @echo "--------------------------------------------------------------"
135 @${SUP} ${SUPFLAGS} ${PORTSSUPFILE}
136 .elif defined(CVS_UPDATE)
137 @echo "--------------------------------------------------------------"
138 @echo ">>> Updating ${.CURDIR} from cvs repository" ${CVSROOT}
139 @echo "--------------------------------------------------------------"
140 cd ${.CURDIR}; ${CVS} -R -q update -A -P -d -I!
141 .elif defined(SUP_UPDATE) && !defined(PORTSSUPFILE)
142 @${ECHO_MSG} "Error: Please define PORTSSUPFILE before doing make update."
143 @exit 1
144 .else
145 @${ECHO_MSG} "Error: Please define either PORTSNAP_UPDATE, SUP_UPDATE, or CVS_UPDATE first."
146 .endif

Properties

Name Value
cvs2svn:cvs-rev 1.32